org.h2.android

## Class H2Utils

- java.lang.Object
- - org.h2.android.H2Utils

    public class H2Utils
    extends java.lang.Object

Utility methods.

### Constructor Summary

Constructors
Constructor and Description
`H2Utils()`

### Method Summary

Methods
`static H2Database` `openOrCreateDatabase(java.lang.String name, int mode, H2Database.CursorFactory factory)` A replacement for Context.openOrCreateDatabase.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H2Utils

    public H2Utils()

### Method Detail

#### openOrCreateDatabase

    public static H2Database openOrCreateDatabase(java.lang.String name,
                                  int mode,
                                  H2Database.CursorFactory factory)

A replacement for Context.openOrCreateDatabase.

Parameters:
  `name` - the database name
  `mode` - the access mode
  `factory` - the cursor factory to use
Returns:
  the database connection